package com.pj.api.dto;


import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 银行报文数据(一级市场)
 * @author lbl
 */
public class PaymentDto implements Serializable {


	private Long id;

	/**
	 * 航通主键
	 */
	private String platSeqNo;

	/**
	 * 申报单编号
	 */
	private String declareId;

	/**
	 * 1-边民，2-商铺业主或其代理人，3-合作社代表，4-互助组代表
	 */
	private String declareType;

	/**
	 * 申报人姓名
	 */
	private String declareName;

	/**
	 * 身份证号码
	 */
	private String idno;

	/**
	 * 商铺编码
	 */
	private String shopNo;


	/**
	 * 商铺名称
	 */
	private String shopName;

	/**
	 * 申报人类别为3、4 时互助组/合作社备案编号
	 */
	private String orgPutrecNo;

	/**
	 * 申报人类别为3、4 时互助组/合租社名称
	 */
	private String orgName;

	/**
	 * 申报人类别为4 时边民合作社社会统一信用代码
	 */
	private String orgScc;

	/**
	 *  运输工具名称
	 */
	private String veNo;

	/**
	 * 业务模式, 进出口标志为进口时，01 区内交易、02 落地加工、03 原装提离。进出口标 志 为 出 口时，04：直接出口，05：出口销售。
	 */
	private String btrnbBizModecd;

	/**
	 * 商品流向, 进出口标志为进口时，必填，01-二次销售；02-生活自用；03-落地加工；
	 */
	private String gFlow;

	/**
	 * 进出口标志：I进口 E 出口
	 */
	private String iEFlag;

	/**
	 * 监管场所编号
	 */
	private String fieldCode;

	/**
	 * 监管场所名称
	 */
	private String fieldName;

	/**
	 * 申报口岸代码
	 */
	private String customsCode;

	/**
	 * 1-是、0-否
	 */
	private String carPool;

	/**
	 * 总金额（交易结算单006总金额）
	 */
	private Double sumAmt;

	/**
	 * 总毛重
	 */
	private Double sumGrossWt;

	/**
	 * 总净重
	 */
	private Double sumNetWt;

	/**
	 * 运输方式
	 */
	private String trafMode;

	/**
	 * 币制
	 */
	private String currCode;

	/**
	 * 件数，正整数
	 */
	private Long packNo;

	/**
	 * 申 报 时 间 ：yyyy-MM-dd HH:mm:ss
	 */
	private String declTime;

	/**
	 * 提运单号
	 */
	private String billNo;

	/**
	 * 运输工具航次(班)号
	 */
	private String voyageNo;

	/**
	 * 商品名称，多个用英文逗号分割
	 */
	private String goodsNames;





	/**
	 * 订单编号
	 */
	private String tradeNo;

	/**
	 * 一级市场边民订单金额
	 */
	private BigDecimal totalPrice=BigDecimal.ZERO;

	/**
	 * 二级市场转售总金额
	 */
	private BigDecimal resalePrice=BigDecimal.ZERO;

	//边民姓名
	private String borderName;
	//证件类型
	private String papersType;
	//边民证件号
	private String borderidno;
	//国籍
	private String borderNationality;
	//银行账号
	private String bankCode;
	//银行名称
	private String bankName;
	//银行代码
	private String bankNo;
	//联系电话
	private String borderTel;

	//商铺所属人姓名
	private String ownerName;
	//商铺所属人证件类型(01：身份证 02 护照)
	private String ownerIdtype;
	//商铺所属人证件号
	private String shopSccd;
	//商铺国籍
	private String nationality;
	//商铺银行账号
	private String bankAccount;
	//商铺开户行代码
	private String bank;
	//商铺联系电话
	private String ownerTel;

	//商品编码
	private String codeTs;
	//商品名称
	private String goodsName;
	//商品单位
	private String goodsUnit;
	//商品单价
	private Double declPrice;
	//商品数量
	private Double buyQty;
	//商品重量(毛重)
	private Double grossWt;
	//商品重量(净重)
	private Double netWt;

	private String tradeNos;

	public String getTradeNos() {
		return tradeNos;
	}

	public void setTradeNos(String tradeNos) {
		this.tradeNos = tradeNos;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getOwnerIdtype() {
		return ownerIdtype;
	}

	public void setOwnerIdtype(String ownerIdtype) {
		this.ownerIdtype = ownerIdtype;
	}

	public String getBankAccount() {
		return bankAccount;
	}

	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}

	public String getBank() {
		return bank;
	}

	public void setBank(String bank) {
		this.bank = bank;
	}

	public String getOwnerTel() {
		return ownerTel;
	}

	public void setOwnerTel(String ownerTel) {
		this.ownerTel = ownerTel;
	}

	public String getCodeTs() {
		return codeTs;
	}

	public void setCodeTs(String codeTs) {
		this.codeTs = codeTs;
	}

	public String getGoodsName() {
		return goodsName;
	}

	public void setGoodsName(String goodsName) {
		this.goodsName = goodsName;
	}

	public String getGoodsUnit() {
		return goodsUnit;
	}

	public void setGoodsUnit(String goodsUnit) {
		this.goodsUnit = goodsUnit;
	}

	public Double getDeclPrice() {
		return declPrice;
	}

	public void setDeclPrice(Double declPrice) {
		this.declPrice = declPrice;
	}

	public Double getBuyQty() {
		return buyQty;
	}

	public void setBuyQty(Double buyQty) {
		this.buyQty = buyQty;
	}

	public Double getGrossWt() {
		return grossWt;
	}

	public void setGrossWt(Double grossWt) {
		this.grossWt = grossWt;
	}

	public Double getNetWt() {
		return netWt;
	}

	public void setNetWt(Double netWt) {
		this.netWt = netWt;
	}

	public String getBorderName() {
		return borderName;
	}

	public void setBorderName(String borderName) {
		this.borderName = borderName;
	}

	public String getBorderidno() {
		return borderidno;
	}

	public void setBorderidno(String borderidno) {
		this.borderidno = borderidno;
	}

	public String getPapersType() {
		return papersType;
	}

	public void setPapersType(String papersType) {
		this.papersType = papersType;
	}

	public String getBorderNationality() {
		return borderNationality;
	}

	public void setBorderNationality(String borderNationality) {
		this.borderNationality = borderNationality;
	}

	public String getBankCode() {
		return bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankNo() {
		return bankNo;
	}

	public void setBankNo(String bankNo) {
		this.bankNo = bankNo;
	}

	public String getBorderTel() {
		return borderTel;
	}

	public void setBorderTel(String borderTel) {
		this.borderTel = borderTel;
	}

	public BigDecimal getResalePrice() {
		return resalePrice;
	}

	public void setResalePrice(BigDecimal resalePrice) {
		this.resalePrice = resalePrice;
	}

	public String getTradeNo() {
		return tradeNo;
	}

	public void setTradeNo(String tradeNo) {
		this.tradeNo = tradeNo;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getPlatSeqNo() {
		return platSeqNo;
	}

	public void setPlatSeqNo(String platSeqNo) {
		this.platSeqNo = platSeqNo;
	}

	public String getDeclareId() {
		return declareId;
	}

	public void setDeclareId(String declareId) {
		this.declareId = declareId;
	}

	public String getDeclareType() {
		return declareType;
	}

	public void setDeclareType(String declareType) {
		this.declareType = declareType;
	}

	public String getDeclareName() {
		return declareName;
	}

	public void setDeclareName(String declareName) {
		this.declareName = declareName;
	}

	public String getIdno() {
		return idno;
	}

	public void setIdno(String idno) {
		this.idno = idno;
	}

	public String getShopNo() {
		return shopNo;
	}

	public void setShopNo(String shopNo) {
		this.shopNo = shopNo;
	}

	public String getShopName() {
		return shopName;
	}

	public void setShopName(String shopName) {
		this.shopName = shopName;
	}

	public String getOrgPutrecNo() {
		return orgPutrecNo;
	}

	public void setOrgPutrecNo(String orgPutrecNo) {
		this.orgPutrecNo = orgPutrecNo;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	public String getOrgScc() {
		return orgScc;
	}

	public void setOrgScc(String orgScc) {
		this.orgScc = orgScc;
	}

	public String getVeNo() {
		return veNo;
	}

	public void setVeNo(String veNo) {
		this.veNo = veNo;
	}

	public String getBtrnbBizModecd() {
		return btrnbBizModecd;
	}

	public void setBtrnbBizModecd(String btrnbBizModecd) {
		this.btrnbBizModecd = btrnbBizModecd;
	}

	public String getgFlow() {
		return gFlow;
	}

	public void setgFlow(String gFlow) {
		this.gFlow = gFlow;
	}

	public String getiEFlag() {
		return iEFlag;
	}

	public void setiEFlag(String iEFlag) {
		this.iEFlag = iEFlag;
	}

	public String getFieldCode() {
		return fieldCode;
	}

	public void setFieldCode(String fieldCode) {
		this.fieldCode = fieldCode;
	}

	public String getFieldName() {
		return fieldName;
	}

	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getCustomsCode() {
		return customsCode;
	}

	public void setCustomsCode(String customsCode) {
		this.customsCode = customsCode;
	}

	public String getCarPool() {
		return carPool;
	}

	public void setCarPool(String carPool) {
		this.carPool = carPool;
	}

	public Double getSumAmt() {
		return sumAmt;
	}

	public void setSumAmt(Double sumAmt) {
		this.sumAmt = sumAmt;
	}

	public Double getSumGrossWt() {
		return sumGrossWt;
	}

	public void setSumGrossWt(Double sumGrossWt) {
		this.sumGrossWt = sumGrossWt;
	}

	public Double getSumNetWt() {
		return sumNetWt;
	}

	public void setSumNetWt(Double sumNetWt) {
		this.sumNetWt = sumNetWt;
	}

	public String getTrafMode() {
		return trafMode;
	}

	public void setTrafMode(String trafMode) {
		this.trafMode = trafMode;
	}

	public String getCurrCode() {
		return currCode;
	}

	public void setCurrCode(String currCode) {
		this.currCode = currCode;
	}

	public Long getPackNo() {
		return packNo;
	}

	public void setPackNo(Long packNo) {
		this.packNo = packNo;
	}

	public String getDeclTime() {
		return declTime;
	}

	public void setDeclTime(String declTime) {
		this.declTime = declTime;
	}

	public String getBillNo() {
		return billNo;
	}

	public void setBillNo(String billNo) {
		this.billNo = billNo;
	}

	public String getVoyageNo() {
		return voyageNo;
	}

	public void setVoyageNo(String voyageNo) {
		this.voyageNo = voyageNo;
	}

	public String getGoodsNames() {
		return goodsNames;
	}

	public void setGoodsNames(String goodsNames) {
		this.goodsNames = goodsNames;
	}

	public BigDecimal getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(BigDecimal totalPrice) {
		this.totalPrice = totalPrice;
	}

	public String getShopSccd() {
		return shopSccd;
	}

	public void setShopSccd(String shopSccd) {
		this.shopSccd = shopSccd;
	}

	public String getNationality() {
		return nationality;
	}

	public void setNationality(String nationality) {
		this.nationality = nationality;
	}
}
